libnl: Inet Diag Memory Info

libnl 3.12.0

Inet Diag Memory Info
Inet Diag library (libnl-idiag)

## Functions
struct idiagnl_meminfo * | idiagnl_meminfo_alloc (void)
void | idiagnl_meminfo_get (struct idiagnl_meminfo *minfo)
void | idiagnl_meminfo_put (struct idiagnl_meminfo *minfo)

## Attributes
uint32_t | idiagnl_meminfo_get_rmem (const struct idiagnl_meminfo *minfo)
void | idiagnl_meminfo_set_rmem (struct idiagnl_meminfo *minfo, uint32_t rmem)
uint32_t | idiagnl_meminfo_get_wmem (const struct idiagnl_meminfo *minfo)
void | idiagnl_meminfo_set_wmem (struct idiagnl_meminfo *minfo, uint32_t wmem)
uint32_t | idiagnl_meminfo_get_fmem (const struct idiagnl_meminfo *minfo)
void | idiagnl_meminfo_set_fmem (struct idiagnl_meminfo *minfo, uint32_t fmem)
uint32_t | idiagnl_meminfo_get_tmem (const struct idiagnl_meminfo *minfo)
void | idiagnl_meminfo_set_tmem (struct idiagnl_meminfo *minfo, uint32_t tmem)

## Detailed Description

Inet Diag Memory Info Documentation (Netlink Inet Diag Development Guide)

## Function Documentation

## ◆ idiagnl_meminfo_alloc()

struct idiagnl_meminfo * idiagnl_meminfo_alloc | ( | void |  | ) |

Definition at line 20 of file idiag_meminfo_obj.c.

## ◆ idiagnl_meminfo_get()

void idiagnl_meminfo_get | ( | struct idiagnl_meminfo * | minfo | ) |

Definition at line 25 of file idiag_meminfo_obj.c.

## ◆ idiagnl_meminfo_put()

void idiagnl_meminfo_put | ( | struct idiagnl_meminfo * | minfo | ) |

Definition at line 30 of file idiag_meminfo_obj.c.

## ◆ idiagnl_meminfo_get_rmem()

uint32_t idiagnl_meminfo_get_rmem | ( | const struct idiagnl_meminfo * | minfo | ) |

Definition at line 39 of file idiag_meminfo_obj.c.

## ◆ idiagnl_meminfo_set_rmem()

void idiagnl_meminfo_set_rmem | ( | struct idiagnl_meminfo * | minfo,
|  | uint32_t | rmem )

Definition at line 44 of file idiag_meminfo_obj.c.

## ◆ idiagnl_meminfo_get_wmem()

uint32_t idiagnl_meminfo_get_wmem | ( | const struct idiagnl_meminfo * | minfo | ) |

Definition at line 49 of file idiag_meminfo_obj.c.

## ◆ idiagnl_meminfo_set_wmem()

void idiagnl_meminfo_set_wmem | ( | struct idiagnl_meminfo * | minfo,
|  | uint32_t | wmem )

Definition at line 54 of file idiag_meminfo_obj.c.

## ◆ idiagnl_meminfo_get_fmem()

uint32_t idiagnl_meminfo_get_fmem | ( | const struct idiagnl_meminfo * | minfo | ) |

Definition at line 59 of file idiag_meminfo_obj.c.

## ◆ idiagnl_meminfo_set_fmem()

void idiagnl_meminfo_set_fmem | ( | struct idiagnl_meminfo * | minfo,
|  | uint32_t | fmem )

Definition at line 64 of file idiag_meminfo_obj.c.

## ◆ idiagnl_meminfo_get_tmem()

uint32_t idiagnl_meminfo_get_tmem | ( | const struct idiagnl_meminfo * | minfo | ) |

Definition at line 69 of file idiag_meminfo_obj.c.

## ◆ idiagnl_meminfo_set_tmem()

void idiagnl_meminfo_set_tmem | ( | struct idiagnl_meminfo * | minfo,
|  | uint32_t | tmem )

Definition at line 74 of file idiag_meminfo_obj.c.